package com.ag.dynamicmodule.service;


import com.ag.base.ISerializable;

/**
 * @description: pojo类生成器
 * @author: WangN
 * @create: 2019-07-12
 */
public class PojoBuilder<T> implements ISerializable {

    private Object baseObj;

    private Class<T> baseClass;

    public PojoBuilder(Class<T> baseClass) {
        this.baseClass = baseClass;
    }

    public PojoBuilder(Object baseObj) {
        this.baseObj = baseObj;
    }

    public Object getBaseObj() {
        return baseObj;
    }

    public void setBaseObj(Object baseObj) {
        this.baseObj = baseObj;
    }

    public Class<T> getBaseClass() {
        return baseClass;
    }

    public void setBaseClass(Class<T> baseClass) {
        this.baseClass = baseClass;
    }

}
